<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

if (file_exists(INFUSIONS."votepic/locale/".$settings['locale'].".php")) {
	include INFUSIONS."votepic/locale/".$settings['locale'].".php";
} else {include INFUSIONS."votepic/locale/English.php";}

// Definiowanie galerii
$galleries = array(
	0 => 'photogallery.php'
);

// Jesli chcesz dodac fotogalerie, wprowadz nazwe pliku fotogalerii do tablicy:
// Przyklad dla 3 fotogalerii:
// 	$galleries = array(
//			0 => 'photogallery.php',
//			1 => 'photogallery2.php',
//			2 => 'photogallery3.php'
// 	);
// Po kazdej pozycji wstaw "," procz ostatniej

// Funkcja generujaca pole glosowania lub wyswietlajaca wyniki
function votelink($pic_id, $gallery_id, $author_name) {
	global $userdata, $db_prefix, $locale;

	$votepic_admin = @dbarray($result = @dbquery("SELECT * FROM ".$db_prefix."votepic_admin WHERE gallery_id = ".$gallery_id."")); // Ustawienia

	if((@dbrows($result) == 1) && ($votepic_admin['enable'] == 1)) // Gdy istnieja ustawienia & gdy waczone
	if (show_vote($votepic_admin['admin_vote']) && ($userdata['user_name'] != $author_name)) { // Jesli czlonek & nieautor & nieadmin

		if(@dbrows(dbquery("SELECT * FROM ".$db_prefix."votepic WHERE user_id='".$userdata['user_id']."' AND pic_id='$pic_id' AND gallery_id='$gallery_id'")) == 0){
			
			$votepic_poll = 
			"<form name='votepicform' action='".INFUSIONS."votepic/votepic.php' method='post'>\n".
			"<input type='hidden' name='pic_id' value='".$pic_id."'>\n".
			"<input type='hidden' name='gallery_id' value='".$gallery_id."'>\n";
			
			if ($votepic_admin['style'] == 1) {
				$votepic_poll .= "<table class='votepic' cellpadding='0' cellspacing='0'>\n<tr>\n";
				for ($i = $votepic_admin['min_val']; $i <= $votepic_admin['max_val']; $i++)
					$votepic_poll .= "<td style='text-align:center; vertical-align:center;'><input type='radio' name='vote' value='$i' id='r$i'><br><label for='r$i'>$i</label></td>\n";
				$votepic_poll .= "</tr>\n</table>\n";
				$votepic_poll .= "<input type='submit' value='".$locale['vp_01']."' class='button'>\n";
			}
			
			if ($votepic_admin['style'] == 2) {
				$votepic_poll .= "<select name='vote' style='height:18px;width:40px;text-align:center'>\n";
				for ($i = $votepic_admin['min_val']; $i <= $votepic_admin['max_val']; $i++)
					$votepic_poll .= "<option>$i</option>\n";
				$votepic_poll .= "</select>\n";
				$votepic_poll .= "<input type='submit' value='".$locale['vp_01']."' class='button'>\n";
			}
			
			if ($votepic_admin['style'] == 3) {
				for ($i = $votepic_admin['min_val']; $i <= $votepic_admin['max_val']; $i++)
					$votepic_poll .= "<input type='submit' class='button' name='vote' value='$i'>\n";
			}
			
			$votepic_poll .= "</form>\n";
			
			return $votepic_poll; // Jesli czlonek nie glosowal zwraca pole glosowania
		}
		
		$data = dbarray(dbquery("SELECT AVG(vote) as average FROM ".$db_prefix."votepic WHERE pic_id='$pic_id'"));
		return "| ".$locale['vp_02'].": <b>".round($data['average'], 2)."</b> | ".$locale['vp_03'].": <b>".dbrows(dbquery("SELECT * FROM ".$db_prefix."votepic WHERE pic_id='$pic_id'"))."</b> |";
	}
	else if (show_vote(!$votepic_admin['admin_vote']) || ($userdata['user_name'] == $author_name)) { // Jesli autor lub admin
		$data = dbarray(dbquery("SELECT AVG(vote) as average FROM ".$db_prefix."votepic WHERE pic_id='$pic_id'"));
		return "| ".$locale['vp_02'].": <b>".round($data['average'], 2)."</b> | ".$locale['vp_03'].": <b>".dbrows(dbquery("SELECT * FROM ".$db_prefix."votepic WHERE pic_id='$pic_id'"))."</b> |";
	}
	else return $locale['vp_04']; // Jesli niezalogowany
}

// Funkcja blokujaca ponowne naliczenie wyswietlenia obrazka
function block_photo_views($pic_id, $referer){
	$url = parse_url($referer);
	if ("photo=$pic_id" == $url['query']) return false;
	else return true;
}

// Funkcja kontrolujaca dostep administratora do glosowania
function show_vote($admin_vote){
if ((iADMIN == 1) && ($admin_vote == 1)) return true; // Jesli administrator i zezwolenie glosowania to prawda
if ((iADMIN == 1) && ($admin_vote == 0)) return false; // Jesli administrator i zakaz glosowania to falsz
if ((iADMIN == 0) && (iMEMBER == 1)) return true; // Jesli nie administrator i czlonek to prawda
}
?>